Skip to content
Search
Search the documentation
OAuthTokenRequestBodySchema
GitHub GitHub

OAuthTokenRequestBodySchema

Variable: OAuthTokenRequestBodySchema

const OAuthTokenRequestBodySchema: ZodMiniDiscriminatedUnion<[ZodMiniObject<{ client_id: ZodMiniString<string>; client_secret: ZodMiniOptional<ZodMiniString<string>>; code: ZodMiniString<string>; code_verifier: ZodMiniString<string>; grant_type: ZodMiniLiteral<"authorization_code">; redirect_uri: ZodMiniString<string>; }, $strip>, ZodMiniObject<{ client_id: ZodMiniString<string>; client_secret: ZodMiniOptional<ZodMiniString<string>>; grant_type: ZodMiniLiteral<"refresh_token">; refresh_token: ZodMiniString<string>; scope: ZodMiniOptional<ZodMiniString<string>>; }, $strip>], "grant_type">

Defined in: v1/schemas/oauth.ts:158

Request body for the OAuth token endpoint. Shape depends on grant_type.

  • POST /v1/oauth2/token